using UnityEngine;
using System.Collections;

public class ScrollController : MonoBehaviour {

    public float padding;
    public float height;

    void Start()
    {
        OnScrollChanged(0);
    }

    public void OnScrollChanged(float val)
    {
        Vector3 pos = transform.localPosition;
        pos.y = Mathf.Lerp(0, height, val);
        transform.localPosition = pos;
    }
	
}
